
Katello - Refactor #24033

Move the SubscriptionsPage.js inner state to redux reducers/actions/selectors

06/21/2018 03:35 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Avi Sharvit   

Category: Web UI   

Target version: Katello 3.11.0   

Branch:  Pull request: https://github.com/Katello/katello/pull/758
Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Move the SubscriptionsPage.js inner state to redux reducers/actions/selectors

Associated revisions

Revision 081c878d - 11/05/2018 09:04 PM - Avi Sharvit

Refs #24033 - Move subscriptions state to redux

Move the manifestModal part of the SubscriptionsPage

inner state to redux

Revision d836fa41 - 11/14/2018 08:41 PM - Avi Sharvit

Refs #24033 - Add test to SubscriptionsActions

Test the open/close manifest modal actions

Revision 2e4f8230 - 11/28/2018 02:53 PM - Avi Sharvit

Refs #24033 - Move Subscriptions state to redux

Move the deleteModal state from the Subscription component to Redux

Revision 25ddcb89 - 11/28/2018 08:14 PM - Avi Sharvit

Refs #24033 - Refactor subscriptions search-query

Move the search-query state from the SubscriptionsPage to redux

Revision b0671035 - 11/29/2018 06:10 PM - Avi Sharvit

Refs #24033 - Refactor subscriptions task-modal

Move the task-modal state from the SubscriptionsPage to redux

Revision 7da438ae - 11/30/2018 06:57 PM - Avi Sharvit

05/17/2024 1/2



Fixes #24033 - Refactor Subscriptions state

Move the delete modal state to redux

History

#1 - 07/31/2018 11:33 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7583 added

#2 - 08/15/2018 06:06 PM - Jonathon Turel

- Category set to Web UI

- Target version changed from Katello 3.8.0 to Katello 3.9.0

#3 - 10/03/2018 02:13 PM - Walden Raines

- Assignee set to Avi Sharvit

#4 - 10/10/2018 06:26 PM - Zach Huntington-Meath

- Target version changed from Katello 3.9.0 to Katello 3.10.0

#5 - 10/25/2018 02:58 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/7782 added

#6 - 11/13/2018 01:45 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/7833 added

#7 - 11/13/2018 01:48 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/7830 added

#8 - 11/13/2018 04:34 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/7834 added

#9 - 11/18/2018 03:45 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/7842 added

#10 - 11/18/2018 04:26 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/7843 added

#11 - 11/29/2018 12:28 PM - Christine Fouant

- Target version changed from Katello 3.10.0 to Katello 3.11.0

#12 - 11/30/2018 07:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset katello|7da438aefe08098a0a11a3029ae53cdbb53063f9.
